QXmppBookmarkManager Class Reference

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkManager.h>`

Inheritance diagram for QXmppBookmarkManager:
[legend]
Collaboration diagram for QXmppBookmarkManager:
[legend]

## Signals

void | bookmarksReceived (const QXmppBookmarkSet &bookmarks)
| This signal is emitted when bookmarks are received.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppBookmarkManager ()
| ~QXmppBookmarkManager ()
bool | areBookmarksReceived () const
QXmppBookmarkSet | bookmarks () const
bool | setBookmarks (const QXmppBookmarkSet &bookmarks)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas. More...
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks.

## Constructor & Destructor Documentation

## QXmppBookmarkManager()

QXmppBookmarkManager::QXmppBookmarkManager | ( |  | ) |

Constructs a new bookmark manager.

## ~QXmppBookmarkManager()

QXmppBookmarkManager::~QXmppBookmarkManager | ( |  | ) |

Destroys a bookmark manager.

## Member Function Documentation

## areBookmarksReceived()

bool QXmppBookmarkManager::areBookmarksReceived | ( |  | ) | const

Returns true if the bookmarks have been received from the server, false otherwise.

## bookmarks()

QXmppBookmarkSet QXmppBookmarkManager::bookmarks | ( |  | ) | const

Returns the bookmarks stored on the server.

Before calling this method, check that the bookmarks have indeed been received by calling areBookmarksReceived().

## setBookmarks()

bool QXmppBookmarkManager::setBookmarks | ( | const QXmppBookmarkSet & | bookmarks | ) |

Stores the bookmarks on the server.

Parameters

  bookmarks |

The documentation for this class was generated from the following files:

- QXmppBookmarkManager.h
- QXmppBookmarkManager.cpp